Send a test webhook
curl --request POST \
--url https://{notifuseDomain}/api/webhookSubscriptions.test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "ws_1234567890",
"id": "whsub_a1b2c3d4e5f6",
"event_type": "contact.created"
}
'import requests
url = "https://{notifuseDomain}/api/webhookSubscriptions.test"
payload = {
"workspace_id": "ws_1234567890",
"id": "whsub_a1b2c3d4e5f6",
"event_type": "contact.created"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: 'ws_1234567890',
id: 'whsub_a1b2c3d4e5f6',
event_type: 'contact.created'
})
};
fetch('https://{notifuseDomain}/api/webhookSubscriptions.test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"status_code": 200,
"response_body": "{\"received\": true}",
"error": null
}Webhooks
Send a test webhook
Sends a test webhook to the subscription’s URL to verify connectivity and configuration.
POST
/
api
/
webhookSubscriptions.test
Send a test webhook
Authorizations
API token for authentication
Body
application/json
Response
Test webhook sent (check response for success/failure)
Whether the test webhook was delivered successfully
Example:
true
HTTP status code returned by the webhook endpoint
Example:
200
Response body from the webhook endpoint
Example:
"{\"received\": true}"
Error message if the test failed
Example:
null
⌘I
